#include <bits/stdc++.h>
using namespace std;
struct cord{
    int x;
    int y;
};
int main(){
    // barem za neki poen hahaha
    int n; cin >> n;
    cord temp;
    cin >> temp.x >> temp.y;
    cord gore = temp,dole = temp,levo = temp,desno = temp;
    for(int i = 1; i < n; i++){
        cord temp;
        cin >> temp.x >> temp.y;
        if(gore.y < temp.y) gore = temp;
        if(dole.y > temp.y) dole = temp;
        if(levo.x > temp.x) levo = temp;
        if(desno.x < temp.x) desno = temp;
    }
    int v = gore.y-dole.y;
    int s = desno.x-levo.x;
    cout << ((float)v*s)/2;
    return 0;
}